"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNative = require("react-native");
var _typescript = _interopRequireDefault(require("shiki/langs/typescript.mjs"));
var _githubDark = _interopRequireDefault(require("shiki/themes/github-dark.mjs"));
var _useSyntaxHighlighter = require("../../hooks/useSyntaxHighlighter");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function SyntaxHighlighter({
  text,
  lang = _typescript.default,
  langName = 'typescript',
  theme = _githubDark.default,
  themeName = 'github-dark',
  fontSize
}) {
  const {
    tokens,
    error,
    isLoading
  } = (0, _useSyntaxHighlighter.useSyntaxHighlighter)({
    text,
    lang,
    langName,
    theme,
    themeName
  });
  if (error) {
    return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_reactNative.Text, {
      style: {
        color: '#ff6b6b',
        fontFamily: 'monospace',
        fontSize
      },
      children: ["Error:", error]
    });
  }
  if (isLoading) {
    return /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.Text, {
      style: {
        color: '#f8f8f2',
        fontFamily: 'monospace',
        fontSize
      },
      children: "Loading..."
    });
  }
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.View, {
    children: tokens.map((line, lineIndex) => /*#__PURE__*/(0, _jsxRuntime.jsxs)(_reactNative.View, {
      style: {
        flexDirection: 'row',
        flexWrap: 'wrap'
      },
      children: [line.map((token, tokenIndex) => /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.Text, {
        style: {
          color: token.color || '#FFFFFF',
          fontFamily: 'monospace',
          fontSize,
          fontStyle: token.fontStyle
        },
        children: token.content.replace(/ /g, '\u00A0')
      }, `${lineIndex}-${tokenIndex}`)), /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNative.Text, {
        style: {
          color: '#FFFFFF',
          fontFamily: 'monospace',
          fontSize
        },
        children: '\n'
      })]
    }, `line-${lineIndex}`))
  });
}
var _default = exports.default = SyntaxHighlighter;
//# sourceMappingURL=SyntaxHighlighter.js.map