"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createHighlighter = createHighlighter;
exports.processTokens = processTokens;
var _core = require("shiki/core");
var _javascript = require("shiki/engine/javascript");
async function initializeHighlighter(langs, themes) {
  return (0, _core.createHighlighterCore)({
    engine: (0, _javascript.createJavaScriptRegexEngine)(),
    langs,
    themes
  });
}
async function createHighlighter({
  langs,
  themes
}) {
  if (!langs?.length || !themes?.length) {
    throw new Error('Please provide both `langs` and `themes` when creating a highlighter.');
  }
  try {
    const highlighter = await initializeHighlighter(langs, themes);
    return highlighter;
  } catch (error) {
    console.error('Failed to create highlighter:', error);
    throw error;
  }
}
function processTokens(tokens) {
  return tokens.map(token => ({
    content: token.content,
    color: token.color || '#000000',
    fontStyle: token.fontStyle?.toString()
  }));
}
//# sourceMappingURL=index.js.map