"use strict";

import React from 'react';
import { Text, View } from 'react-native';
import { jsx as _jsx } from "react/jsx-runtime";
function SyntaxLine({
  line,
  fontSize
}) {
  return /*#__PURE__*/_jsx(View, {
    style: {
      flexDirection: 'row',
      flexWrap: 'wrap'
    },
    children: line.map((token, tokenIndex) => {
      // Preserve whitespace
      const content = token.content.replace(/ /g, '\u00A0');
      return /*#__PURE__*/_jsx(Text, {
        style: {
          color: token.color,
          fontFamily: 'monospace',
          fontSize,
          fontStyle: token.fontStyle
        },
        children: content
      }, `${content}-${tokenIndex}`);
    })
  });
}
export default SyntaxLine;
//# sourceMappingURL=SyntaxLine.js.map