"use strict";

import { createHighlighterCore } from 'shiki/core';
import { createJavaScriptRegexEngine } from 'shiki/engine/javascript';
async function initializeHighlighter(langs, themes) {
  return createHighlighterCore({
    engine: createJavaScriptRegexEngine(),
    langs,
    themes
  });
}
export async function createHighlighter({
  langs,
  themes
}) {
  if (!langs?.length || !themes?.length) {
    throw new Error('Please provide both `langs` and `themes` when creating a highlighter.');
  }
  try {
    const highlighter = await initializeHighlighter(langs, themes);
    return highlighter;
  } catch (error) {
    console.error('Failed to create highlighter:', error);
    throw error;
  }
}
export function processTokens(tokens) {
  return tokens.map(token => ({
    content: token.content,
    color: token.color || '#000000',
    fontStyle: token.fontStyle?.toString()
  }));
}
//# sourceMappingURL=index.js.map